org.eclipse.cdt.core.dom.ast.cpp

## Interface ICPPASTNameSpecifier

All Superinterfaces:
  IASTNode

All Known Subinterfaces:
  ICPPASTConversionName, ICPPASTDecltypeSpecifier, ICPPASTName, ICPPASTOperatorName, ICPPASTQualifiedName, ICPPASTTemplateId

    public interface ICPPASTNameSpecifier
    extends IASTNode

AST node for elements of the qualifier in a qualified name. A name-specifier can either be a name, or a decltype-specifier. Note that a decltype-specifier can only appear as the first element of a qualifier, but this constraint is not encoded in the AST.

Since:
  5.6

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`IASTNode.CopyStyle`

### Field Summary

Fields
`static ICPPASTNameSpecifier[]` `EMPTY_NAME_SPECIFIER_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`EMPTY_NODE_ARRAY`

### Method Summary

All Methods Instance Methods Abstract Methods
`ICPPASTNameSpecifier` `copy()` Returns a mutable copy of the tree rooted at this node.
`ICPPASTNameSpecifier` `copy(IASTNode.CopyStyle style)` Returns a mutable copy of the tree rooted at this node.
`IBinding` `resolveBinding()` If the name-specifier is a name, returns the binding named.
`IBinding` `resolvePreBinding()` Similar to resolveBinding(), but only performs the first phase of binding resolution for two-phase bindings.
`char[]` `toCharArray()`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`accept, contains, getChildren, getContainingFilename, getFileLocation, getLeadingSyntax, getNodeLocations, getOriginalNode, getParent, getPropertyInParent, getRawSignature, getSyntax, getTrailingSyntax, getTranslationUnit, isActive, isFrozen, isPartOfTranslationUnitFile, setParent, setPropertyInParent`

### Field Detail

#### EMPTY_NAME_SPECIFIER_ARRAY

    static final ICPPASTNameSpecifier[] EMPTY_NAME_SPECIFIER_ARRAY

### Method Detail

#### copy

    ICPPASTNameSpecifier copy()

Description copied from interface: `IASTNode`
Returns a mutable copy of the tree rooted at this node. The following postconditions hold:

     copy.getParent() == null
     copy.getPropertyInParent() == null
     copy.isFrozen() == false

Preprocessor nodes do not currently support being copied. Implicit name nodes are not copied, instead they can be regenerated if required.

Calling this method is equivalent to `copy(CopyStyle.withoutLocations)`.

Specified by:
  `copy` in interface `IASTNode`

#### copy

    ICPPASTNameSpecifier copy(IASTNode.CopyStyle style)

Description copied from interface: `IASTNode`
Returns a mutable copy of the tree rooted at this node. The following postconditions hold:

     copy.getParent() == null
     copy.getPropertyInParent() == null
     copy.isFrozen() == false

Preprocessor nodes do not currently support being copied. Implicit name nodes are not copied, instead they can be regenerated if required.

Specified by:
  `copy` in interface `IASTNode`
Parameters:
  `style` - `IASTNode.CopyStyle` create a copy with or without locations. Please see `IASTNode.CopyStyle` for restrictions on copies with Locations.

#### toCharArray

    char[] toCharArray()

#### resolveBinding

    IBinding resolveBinding()

If the name-specifier is a name, returns the binding named. If the name-specifier is a decltype-specifier, return the type if it's a binding, otherwise return null.

#### resolvePreBinding

    IBinding resolvePreBinding()

Similar to resolveBinding(), but only performs the first phase of binding resolution for two-phase bindings.